package com.td.boss.game.complayercultivate.serivce;

import com.td.boss.common.pojo.Result;
import java.util.Date;

public interface ComPlayerCultivateSerivce {

    /**
     * 解锁某个土地 【牧场养殖渔场】
     * @param userId
     * @param configLandId
     * @return
     */
    Result<?> payLand(String userId, Integer configLandId);

    /**
     * 获取租赁机会
     *
     * @param userId
     * @return
     */
    Integer getTimes(String userId);

    /**
     * 养殖 喂粮，一天不喂延迟2天
     * @param userId
     * @param configLandId
     * @return
     */
    Result<?> buyFood(String userId, Integer configLandId);

    /**
     * 获得养殖类种子实际成熟日期：正常成熟天数+延期天数（一次不喂延迟2天）
     * 成熟时间的具体值 （取时间差（今天-种植当天）-喂的次数）*2
     *
     * @return 延期后的成熟期
     */
    Date getHarvestTime(String userId, Integer configLandId);

    Integer getHarvestDays(String userId, Integer configLandId);
}
